<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');




// $_GET[ids_ordem] = '3';
// $_GET[ids_ordem] = '14,16';


$id_ordem = str_replace(';', ',', $_GET[ids_ordem]);

$id_pagamento = intval($_GET[id_pagamento]);





//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_ordem == ''){
	echo 'Entre com o número da comanda!';
	exit;
}



// PEGA O CLIENTE DA PRIMEIRA COMANDA
$sql_enti = selecionar('enti_tx_nome,enti_tx_cnpj,orde_tx_comanda,orde_nb_id,orde_nb_user|ordem,entidade','orde_nb_id,orde_tx_status',"$id_ordem,!inativo",' LIMIT 1 ');
$a_enti = carrega_array($sql_enti);

$a_user = carregar('user',$a_enti[orde_nb_user]);

// $sql_carteira = selecionar('orpr','orpr_tx_status,orpr_nb_id',"pagamento,$id_pagamento"," LIMIT 1 ");
// $a_carteira = carrega_array($sql_carteira);

$sql_fobo = selecionar('fobo,boleto.movimento','bole_nb_movimento,movi_nb_ordem',".movi_nb_id,$a_enti[orde_nb_id]"," LIMIT 1 ");
$a_fobo = carrega_array($sql_fobo);


// SE O CLIENTE NÃO POSSUIR NOME, EXIBE O CPF
if ( trim($a_enti[enti_tx_nome]) != '' )
	$nome_cliente = $a_enti[enti_tx_nome];
else
	$nome_cliente = $a_enti[enti_tx_cnpj];




define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';






// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();







// CRIA O CABEÇALHO DA IMPRESSÃO

$pdf->SetFont('arial','B',8);
$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->SetFont('arial','',8);

$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
$pdf->Ln(5);



$pdf->SetFont('arial','B',14);
$pdf->Cell(0,5,'CRÉDITO',0,1,'C');
$pdf->Ln(5);




$pdf->SetFont('arial','B',10);
$pdf->Cell(50,3,"CLIENTE:",0,0,"L");
$pdf->SetFont('arial','',10);
// $pdf->Cell(0,3,$nome_cliente,0,1,"R");
$pdf->Ln(1);
$height = (ceil(($pdf->GetStringWidth("                  $nome_cliente") / 40)) * 1);
$pdf->MultiCell(100,$height,"                  $nome_cliente",0,1);
$pdf->Ln(1);




$pdf->SetFont('arial','B',10);
$pdf->Cell(50,3,"DATA/HORA:",0,0,"L");
$pdf->SetFont('arial','',10);
$pdf->Cell(0,3,date('d/m/Y (H:i:s)'),0,1,"R");
$pdf->Ln(1);



$pdf->SetFont('arial','B',10);
$pdf->Cell(50,3,"CÓDIGO:",0,0,"L");
$pdf->SetFont('arial','',10);
$pdf->Cell(0,3,$a_fobo[fobo_nb_id],0,1,"R");
$pdf->Ln(1);



$pdf->SetFont('arial','B',10);
$pdf->Cell(50,3,"VALOR:",0,0,"L");
$pdf->SetFont('arial','',10);
$pdf->Cell(0,3,"R$ ".mostra_valor($a_fobo[fobo_tx_valor],1),0,1,"R");
$pdf->Ln(12);




// CRIA O LOCAL DA ASSINATURA
$pdf->SetFont('arial','B',8);

// $pdf->Cell(0,15,$nome_cliente,0,1,"C");

$pdf->Cell(0,1,"___________________________","",1,'C'); // CRIA UMA LINHA DIVISÓRIA
$pdf->Ln(4);
$pdf->Cell(0,1,strtoupper($a_user[user_tx_nome]),"",1,'C');
$pdf->SetFont('arial','',8);


$pdf->Ln(8);

// $pdf->Cell(0,15,'Operador: '.$a_user[user_tx_nome],0,1,"C");








// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F'); // DESCOMENTAR PARA PRODUÇÃO

$id_impressora = id_impressora();



// bat_imprime($arquivo_pdf,$id_impressora);
bat_imprime($arquivo_pdf,$id_impressora);